.pf1.sheet.koboldworks {
	&.spellbook {
		form {
			.spellbook-name {
				flex: 0;
				display: inline-flex;

				input {
					font-size: inherit;
					font-weight: inherit;
					flex: 1 16em;
					/*width: 100%;*/
					background: unset;
					border: unset;

					&:hover {
						background-color: rgba(255, 180, 120, 0.3);
					}
				}

				img.profile {
					height: 32px;
					width: 32px;
					flex: 0 32px;
				}
			}

			sidebar {
				flex: 0 6em;
			}

			div.main-content {
				height: 100%;
				overflow: hidden;

				content {
					height: 100%;
					overflow: hidden;

					.master-list {
						overflow: scroll;
					}
				}
			}

			ol {
				margin: 0;
				padding: 0;
				list-style: none;

				&.details {
					li + li {
						border-top: 1px solid black;
						margin-top: 0.3em;
					}
				}
			}

			input[name='filter'] {
				flex: 1;
				border: 1px solid #544d4466;
				background-color: #fff5ef30;
				margin-bottom: 3px;
				margin-right: 0.5em;
				height: 1.5em;

				&:hover,
				&:focus {
					box-shadow: 0 0 5px orangered;
				}
			}

			.delete {
				flex: 0 24px;
				width: 24px;
				height: 24px;
				display: block;
				text-align: center;

				i {
					pointer-events: none;
				}
			}

			action.delete:hover {
				text-shadow: 0 0 5px red;
				-webkit-text-stroke: 1px red;
			}

			section.controls,
			section.details {
				line-height: 24px;
				vertical-align: middle;
				display: contents;
			}

			section.details {
				value {
					/*height: 100%;*/
					display: block;
					border-left: 1px solid black;
					border-right: 1px solid black;
					padding: 0 0.3em;
					overflow: hidden;
					/*line-height:normal;*/
					text-align: center;

					+ value {
						border-left: unset;
					}

					&.school {
						flex: 0 8em;
						width: 8em;
					}

					&.action {
						flex: 0 6em;
						width: 6em;
					}

					&.components {
						flex: 0 5.4em;
						width: 6em;
					}

					&.range {
						flex: 0 5.6em;
						width: 5.6em;
					}
				}
			}

			.item .details {
				background-color: #8484841f;
			}

			h3 {
				flex: 1 6em;
				height: 24px;
				align-self: center;
			}

			.headers.item-block,
			li.item-block {
				display: flex;
				flex-direction: row;
				line-height: 24px;
				align-items: normal;
				justify-content: flex-end;
				flex: 0;

				&.hidden {
					display: none;
				}
			}

			.master-list {
				overflow-y: scroll;

				.level-list {
					/* align with other elements*/
					margin-right: 1px;

					li:nth-child(even) {
						background-color: #b3afac3b;
					}

					li:hover {
						background: linear-gradient(90deg, #0080782b 40%, #9dd09d54 60%, #1dbae836 92%, #84370052 98%);
						/*background-color: #0080782b;*/
					}
				}

				.level-group {
					.level-block {
						background-color: rgba(0, 0, 0, 0.15);
						border: 1px solid #0000004a;
						border-top-left-radius: 7px;
						border-top-right-radius: 7px;
						flex-flow: nowrap;

						h3.level-title {
							font-weight: bold;
							font-size: 16px;
							/*margin: 0 0 2px 0;*/
							border: unset;
							margin: 0;
							padding: 0.1em 0.3em;
						}
					}

					li.item {
						/*margin: 0 0 2px 0;*/
						line-height: 26px;

						.image-box {
							flex: 0 24px;
							height: 26px;
							width: 24px;
							padding-top: 1px;

							img.item-image {
								/*flex: 0 24px;*/
								flex: 0;
							}
						}

						.name-box {
							flex: 1;
							align-self: center;
						}

						h3.item-name {
							margin: 0;
							margin-left: 0.25em;
							font-size: 14px;
							/*min-height:24px;*/
							height: auto;
							overflow: hidden;
							line-height: normal;
							border: unset;
						}

						&.drag-hover {
							border-top: 3px orange solid;
						}

						&:last-child {
							/*padding-bottom: 5px;*/

							.image-box {
								padding-bottom: 2px;
								height: 27px;
							}
						}
					}

					li.empty-level {
						border: 1px solid #0000004a;
						border-top: unset;
						border-bottom-left-radius: 5px;
						border-bottom-right-radius: 5px;
						justify-content: center;
						text-align: center;
						background-color: rgba(0, 0, 0, 0.05);
						margin-bottom: 3px;
					}

					ol.empty-level {
						margin-right: 0;
					}

					&.hidden {
						display: none;
					}
				}
			}
		}
	}
}
